# slurmstepd

Section: Slurm Component (8)
Updated: Slurm Component
Index

## NAME

slurmstepd - The job step manager for Slurm.

## SYNOPSIS

slurmstepd

## DESCRIPTION

slurmstepd is a job step manager for Slurm. It is spawned by the slurmd daemon when a job step is launched and terminates when the job step does. It is responsible for managing input and output (stdin, stdout and stderr) for the job step along with its accounting and signal processing. slurmstepd should not be initiated by users or system administrators.

## COPYING

Copyright (C) 2006 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). CODE-OCEC-09-009. All rights reserved.

This file is part of Slurm, a resource management program. For details, see <http://slurm.schedmd.com/>.

Slurm is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Slurm is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

## SEE ALSO

slurmd(8)

## Index

NAME
SYNOPSIS
DESCRIPTION
COPYING
SEE ALSO

This document was created by man2html using the manual pages.
Time: 17:01:32 GMT, August 30, 2015